'''Modron race for D&D 3.5 Mod'''

import es, dnds, popuplib
from dnds import dnds

def load():
    dnds.addRace('Modron')

    modroninfo = popuplib.create('modroninformation')
    modroninfo.addline('-{ D&D CS:S - Modron Info }-')
    modroninfo.addline(' Minus 10% Cash ')
    modroninfo.addline(' Gain 10 Health ')
    modroninfo.addline(' One Extra Low Level Casting ')
    modroninfo.addline(' 10% Damage Reduction ')
    modroninfo.addline(' Only Heals for Half ')
    modroninfo.addline('-> 8. Back')
    modroninfo.addline('0. Exit')
    modroninfo.submenu(8, 'stracesinfo 1')
    dnds.addRaceInformation('Modron', 'modroninformation')

def player_spawn(ev):
    userid = int(ev['userid'])
    if dnds.isRace(userid, 'Modron'):
        Key = dnds.getPlayer(userid)
        Key['damage reduction'] += .1
        Key['spells'][1] += 1
        dnds.Health(userid, 10)
        dnds.Cash(userid, es.getplayerprop(userid,'CCSPlayer.m_iAccount')*.1*(-1))
